clients/hrk/start_hrk_leecher_limit.sh ${download_limit} ${upload_limit} ${connection_limit} &
return $!
;;
+ "transmission_seeder")
+ clients/transmission/start_transmission_seeder.sh &
+ return $!
+ ;;
+ "transmission_leecher")
+ clients/transmission/start_transmission_leecher.sh &
+ return $!
+ ;;
"tribler_seeder")
clients/tribler/start_tribler_seeder.sh &
return $!
"hrktorrent_seeder" | "hrktorrent_leecher" | "hrktorrent_seeder_limit" | "hrktorrent_leecher_limit")
clients/hrk/stop_hrk.sh
;;
+ "transmission_seeder" | "transmission_leecher")
+ clients/transmission/stop_transmission.sh
+ ;;
"tribler_seeder")
clients/tribler/stop_tribler.sh
;;
"hrktorrent_seeder" | "hrktorrent_leecher" | "hrktorrent_seeder_limit" | "hrktorrent_leecher_limit")
clients/hrk/detect_complete_hrk.sh ${log_file}
;;
+ "transmission_seeder" | "transmission_leecher")
+ clients/transmission/detect_complete_transmission.sh ${log_file}
+ ;;
"tribler_seeder")
clients/tribler/detect_complete_tribler_seeder.sh ${log_file}
;;
DEBUG echo "hello hrktorrent_seeder"
clients/hrk/parse_hrk.sh ${log_folder} ${log_file}
;;
+ "transmission_seeder" | "transmission_leecher")
+ clients/swift/parse_swift.sh ${log_folder} ${log_file}
+ ;;
"tribler_seeder")
clients/tribler/parse_tribler.sh ${log_folder} ${log_file}
;;
while true; do
# check for complete transfer
- if cat $LOG_FILE | grep "Torrent finished" &> /dev/null; then
+ if cat $LOG_FILE | grep 'State changed from "Incomplete" to "Complete"' &> /dev/null; then
echo "Torrent transfer finished"
exit 0
fi
fi
# check stat client is alive
- if ! pgrep "hrktorrent" &> /dev/null; then
+ if ! pgrep -f "transmission-cli" &> /dev/null; then
if ! pgrep -f "schedule_client.sh" &> /dev/null; then
- echo "No hrktorrent and no schedule_client.sh process"
+ echo "No transmission-cli and no schedule_client.sh process"
exit 0
fi
fi
# * the name of a log file in that folder
#
# Sample run:
-# ./parse_hrk.sh ../../../Results/samples/ p2p-next-01-101.log
+# ./parse_transmission.sh ../../../Results/samples/ p2p-next-01-101.log
if [ ! $# -eq 2 ]; then
echo "usage: $0 log-folder log-file"
source ../ClientWorkingFolders/TmpLogs/node_config
fi
+rm ~/.config/tramsmission/resume/*
+rm ~/.config/tramsmission/torrents/*
+
cd $WORKING_FOLDER_REL_PATH/Regular/
-LD_LIBRARY_PATH=$HRK_ABS_PATH/../libtorrent-rasterbar/lib $HRK_ABS_PATH/hrktorrent --nodht ../TorrentsAndData/$TORRENT_FILE
+$TRANSMISSION_ABS_PATH/transmission-cli ../TorrentsAndData/$TORRENT_FILE -w .
rm -rf *
source ../ClientWorkingFolders/TmpLogs/node_config
fi
+rm ~/.config/tramsmission/resume/*
+rm ~/.config/tramsmission/torrents/*
+
cd $WORKING_FOLDER_REL_PATH/TorrentsAndData/
-LD_LIBRARY_PATH=$HRK_ABS_PATH/../libtorrent-rasterbar/lib $HRK_ABS_PATH/hrktorrent --nodht --nohashcheck $TORRENT_FILE
+$TRANSMISSION_ABS_PATH/transmission-cli $TORRENT_FILE -w .
exit 1
fi
-pkill -KILL -f hrktorrent
+pkill -KILL -f transmission-cli
# hrktorrent with logging support
HRK_LOG_ABS_PATH="/home/p2p/p2p-clients/hrktorrent-logging/hrktorrent"
+# TRANSMISSION_PATH
+TRANSMISSION_ABS_PATH="/home/p2p/p2p-clients/transmission/cli"
+
# XBTUT_PATH
XBTUT_ABS_PATH="/home/p2p/export/unified-tracker/trunk/xbt/Tracker"
--- /dev/null
+1,1,1,2,Nelimitat,1 Mbit/s,1 Mbit/s,64M,TODO
+2,1,3,4,Nelimitat,8 Mbit/s,8 Mbit/s,64M,TODO